GCLOUD_SQL_USERS_SET-PASSWORD(1)

NAME

gcloud sql users set-password - changes a user's password in a given instance

SYNOPSIS

gcloud sql users set-password USERNAME HOST --instance=INSTANCE, -i INSTANCE [--async] [--password=PASSWORD | --prompt-for-password] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Changes a user's password in a given instance with specified username and host.

POSITIONAL ARGUMENTS

    USERNAME
        Cloud SQL username.

    HOST
        Cloud SQL user's host.

REQUIRED FLAGS

    --instance=INSTANCE, -i INSTANCE
        Cloud SQL instance ID.

OPTIONAL FLAGS

    --async
        Display information about the operation in progress, without waiting for the operation to complete.

At most one of these may be specified:

    --password=PASSWORD
        Cloud SQL user's password.

    --prompt-for-password
        Prompt for the Cloud SQL user's password with character echo disabled. The password is all typed characters up to but not including the RETURN or ENTER key.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.